package domain


type AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult struct {
    /*
        同城零售活动Id     */
    Data  *int64 `json:"data,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误提示     */
    ErrorMessage  *string `json:"error_message,omitempty" `

    /*
        错误码     */
    ErrorCode  *string `json:"error_code,omitempty" `

}

func (s *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult) SetData(v int64) *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult {
    s.Data = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult) SetSuccess(v bool) *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult {
    s.Success = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult) SetErrorMessage(v string) *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult {
    s.ErrorMessage = &v
    return s
}
func (s *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult) SetErrorCode(v string) *AlibabaRetailMarketingItempoolActivityDeleteOctopusOpenResult {
    s.ErrorCode = &v
    return s
}
